{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block content %}

<head>
    <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
    <title>{% block title %} Allowances {% endblock %}</title>
</head>
<form class="from-horizontal" method="post" enctype="multipart/form-data">
    {% csrf_token %}
    <section class="content-header col-content">
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                <h1>Allowances</h1>
                <p class="creatBtn-wrapper">
                    <button type="submit"><a href="{% url 'create_allowance' %}">Create</a></button>
                    <button type="submit"><a href="{% url 'import_allowance' %}">Import</a></button>
                    <button type="submit" name="export" class="export">Export</button>

                </p>
            </div>

            <div class="col-xs-6 col-sm-6 col-md-6">
                <div class="search-container text-right">
                    <form class="search-form">
                        <input type="text" placeholder="Search.." name="search">
                        <button type="submit"><i class="fa fa-search"></i></button>
                    </form>

                    <div class="row">
                        <div class="page-item grid-style-view">
                            <a class="page-number" href="#">
                                <i class="fa fa-th-large" aria-hidden="true"></i>
                            </a>
                        </div>

                        <div class="page-item list-style-view">
                            <a class="page-number" href="#">
                                <i class="fa fa-list" aria-hidden="true"></i>
                            </a>
                        </div>

                        <div class="col-md-12">
                            {% if data_list.has_other_pages %}
                            <ul class="pagination col-pagination pg-blue pull-right">


                                {% if data_list.has_previous %}
                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.previous_page_number }}" aria-label="Previous">
                                        &laquo;
                                    </a>
                                </li>

                                {% else %}
                                <li class="page-item disabled"><a class="page-link" href=""><span>&laquo;</span></a>
                                </li>
                                {% endif %}


                                {% for i in data_list.paginator.page_range %}
                                {% if data_list.number == i %}
                                <li class="page-item active"><a class="page-link" href="#">{{ i }}</a></li>
                                {% else %}
                                <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
                                {% endif %}
                                {% endfor %}


                                {% if data_list.has_next %}
                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.next_page_number }}">
                                        &raquo;
                                    </a>
                                </li>
                                {% endif %}

                            </ul>
                            {% endif %}
                        </div>

                    </div>

                </div>
            </div>
        </div>
    </section>

    <section class="content">
        <div class="row">
            {% for data in data_list %}
            <div class="col-xs-12 col-sm-4 col-md-4">
                <div class="member-detail">
                    <div class="row">
                        <div class="col-xs-3 col-sm-3 col-md-3">
                            <a href="#" class="user-icon"><i class="fa fa-user-o" aria-hidden="true"></i></a>
                        </div>
                        <div class="col-xs-9 col-sm-9 col-md-9 col-Ainfo">
                            <h3>{{data.dealer}}</h3>

                            <h3><a href="#">{{data.brand}}</a>
                            </h3>
                        </div>
                    </div>
                </div>
            </div>
            {% endfor %}
        </div>
    </section>

</form>
{% endblock %}
